If build_foo.gpr withes build_bar.gpr,
then foo.gpr is installed into libfooALIFOO-dev,
     bar.gpr is installed into libbarALIBAR-dev,
     foo.gpr withes bar.grp
     libfooALIFOO-dev receives ada:Depends libbarALIBAR-dev = ${binary:Version}
Could the binary version restriction not be dropped?

--
Changes affecting dependencies (new major number)

TODO.change_input_format.diff

"-dev Depends: gnat" and "-dbg Suggests: gnat".
Using a substitution variable for a name that does not depend on
ali/soversion increases complexity without benefit. Drop them in favor
of a warning if the value are not in debian/control.

More generally, include checks that lintian cannot do as it cannot
detect Ada packages. Examples:
source: Build-Depends on gnat
source: Build-Depends on gnat-X.Y (would make the call to gnatgcc
                    --version unneeded in the Makefile snippet).
-dev: Depends on gnat
-dev: Depends on gnat-X.Y or includes ada:Depends
-dbg: Depends on -lib (=binaryversion) or includes ada:Depends
-dbg: Suggests gnat
-doc/-bin if available Suggests: gnat

Remove the ada:Recommends substitution variable for -dbg. Defining it
was an error (section 5.2.4), but removing it will need a (trivial)
modification in dependencies.

/usr/share/ada/debian_packaging.mk should move to the gnat package,
and may be signaled in in the debian-ada-policy.

--
Prospective

See if library_symbol_policy in the project can be used to generate a
list of symbol versions in the Debian way.

Upload Debian tags for libraries with debtags --upload? Some tags can
be automatically deduced.
